Summary: Network monitoring tools
Name: iputils
Version: s20121221
Release: r0.0
License: BSD & GPLv2+
Group: console/network
Packager: Wind River <info@windriver.com>
URL: http://www.skbuff.net/iputils
BuildRequires: virtual/powerpc-wrs-linux-gcc
BuildRequires: virtual/update-alternatives
BuildRequires: sgmlspl-native
BuildRequires: libcap
BuildRequires: virtual/libc
BuildRequires: docbook-utils-native
BuildRequires: gnutls
BuildRequires: virtual/powerpc-wrs-linux-compilerlibs
Requires: iputils-ping6
Requires: iputils-traceroute6
Requires: iputils-tracepath6
Requires: iputils-tracepath
Requires: iputils-arping
Requires: iputils-ping

%description
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-dbg
Summary: Network monitoring tools - Debugging files
Group: devel
Suggests: libc6-dbg(ppce5500)
Suggests: gnutls-openssl-dbg
Suggests: libcap-dbg(ppce5500)
Recommends: iputils = s20121221-r0.0

%description -n iputils-dbg
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.  This package contains ELF symbols and
related sources for debugging purposes.

%package -n iputils-staticdev
Summary: Network monitoring tools - Development files (Static Libraries)
Group: devel
Requires: iputils-dev = s20121221-r0.0

%description -n iputils-staticdev
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.  This package contains static libraries
for software development.

%package -n iputils-dev
Summary: Network monitoring tools - Development files
Group: devel
Requires: iputils = s20121221-r0.0
Suggests: iputils-tracepath-dev
Suggests: iputils-ping-dev
Suggests: gnutls-openssl-dev
Suggests: update-alternatives-cworth-dev
Suggests: iputils-ping6-dev
Suggests: iputils-tracepath6-dev
Suggests: libc6-dev(ppce5500)
Suggests: libgnutls-dev
Suggests: libcap-dev(ppce5500)
Suggests: iputils-traceroute6-dev
Suggests: iputils-arping-dev

%description -n iputils-dev
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.  This package contains symbolic links,
header files, and related items necessary for software development.

%package -n iputils-doc
Summary: Network monitoring tools - Documentation files
Group: doc

%description -n iputils-doc
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.  This package contains documentation.

%package -n iputils-locale
Summary: Network monitoring tools
Group: console/network

%description -n iputils-locale
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-ping
Summary: Network monitoring tools
Group: console/network
Requires: rtld(GNU_HASH)
Requires: update-alternatives-cworth
Requires: libc.so.6(GLIBC_2.0)
Requires: libc.so.6(GLIBC_2.3)
Requires: libcap2(ppce5500) >= 2.22
Requires: libcap.so.2
Requires: libc.so.6(GLIBC_2.3.4)
Requires: libc6 >= 2.18+4.8
Requires: libc.so.6
Requires: libc.so.6(GLIBC_2.4)
Requires(post): rtld(GNU_HASH)
Requires(post): update-alternatives-cworth
Requires(post): libc.so.6(GLIBC_2.0)
Requires(post): libc.so.6(GLIBC_2.3)
Requires(post): libcap2(ppce5500) >= 2.22
Requires(post): libcap.so.2
Requires(post): libc.so.6(GLIBC_2.3.4)
Requires(post): libc6 >= 2.18+4.8
Requires(post): libc.so.6
Requires(post): libc.so.6(GLIBC_2.4)
Requires(postun): rtld(GNU_HASH)
Requires(postun): update-alternatives-cworth
Requires(postun): libc.so.6(GLIBC_2.0)
Requires(postun): libc.so.6(GLIBC_2.3)
Requires(postun): libcap2(ppce5500) >= 2.22
Requires(postun): libcap.so.2
Requires(postun): libc.so.6(GLIBC_2.3.4)
Requires(postun): libc6 >= 2.18+4.8
Requires(postun): libc.so.6
Requires(postun): libc.so.6(GLIBC_2.4)
Provides: /bin/ping

%description -n iputils-ping
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-ping6
Summary: Network monitoring tools
Group: console/network
Requires: libresolv.so.2
Requires: rtld(GNU_HASH)
Requires: update-alternatives-cworth
Requires: libgnutls-openssl.so.27
Requires: libc.so.6(GLIBC_2.1)
Requires: libc.so.6(GLIBC_2.0)
Requires: libc.so.6(GLIBC_2.3)
Requires: libcap2(ppce5500) >= 2.22
Requires: libresolv.so.2(GLIBC_2.0)
Requires: libcap.so.2
Requires: libc.so.6(GLIBC_2.3.4)
Requires: libc6 >= 2.18+4.8
Requires: libgnutls-openssl27(ppce5500) >= 2.12.23
Requires: libresolv.so.2(GLIBC_2.2)
Requires: libc.so.6
Requires: libc.so.6(GLIBC_2.4)
Requires(post): libresolv.so.2
Requires(post): rtld(GNU_HASH)
Requires(post): update-alternatives-cworth
Requires(post): libgnutls-openssl.so.27
Requires(post): libc.so.6(GLIBC_2.1)
Requires(post): libc.so.6(GLIBC_2.0)
Requires(post): libc.so.6(GLIBC_2.3)
Requires(post): libcap2(ppce5500) >= 2.22
Requires(post): libresolv.so.2(GLIBC_2.0)
Requires(post): libcap.so.2
Requires(post): libc.so.6(GLIBC_2.3.4)
Requires(post): libc6 >= 2.18+4.8
Requires(post): libgnutls-openssl27(ppce5500) >= 2.12.23
Requires(post): libresolv.so.2(GLIBC_2.2)
Requires(post): libc.so.6
Requires(post): libc.so.6(GLIBC_2.4)
Requires(postun): libresolv.so.2
Requires(postun): rtld(GNU_HASH)
Requires(postun): update-alternatives-cworth
Requires(postun): libgnutls-openssl.so.27
Requires(postun): libc.so.6(GLIBC_2.1)
Requires(postun): libc.so.6(GLIBC_2.0)
Requires(postun): libc.so.6(GLIBC_2.3)
Requires(postun): libcap2(ppce5500) >= 2.22
Requires(postun): libresolv.so.2(GLIBC_2.0)
Requires(postun): libcap.so.2
Requires(postun): libc.so.6(GLIBC_2.3.4)
Requires(postun): libc6 >= 2.18+4.8
Requires(postun): libgnutls-openssl27(ppce5500) >= 2.12.23
Requires(postun): libresolv.so.2(GLIBC_2.2)
Requires(postun): libc.so.6
Requires(postun): libc.so.6(GLIBC_2.4)
Provides: /usr/bin/ping6

%description -n iputils-ping6
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-arping
Summary: Network monitoring tools
Group: console/network
Requires: rtld(GNU_HASH)
Requires: update-alternatives-cworth
Requires: libc.so.6(GLIBC_2.1)
Requires: libc.so.6(GLIBC_2.0)
Requires: libc.so.6(GLIBC_2.3)
Requires: libcap2(ppce5500) >= 2.22
Requires: libcap.so.2
Requires: libc6 >= 2.18+4.8
Requires: libc.so.6
Requires: libc.so.6(GLIBC_2.4)
Requires(post): rtld(GNU_HASH)
Requires(post): update-alternatives-cworth
Requires(post): libc.so.6(GLIBC_2.1)
Requires(post): libc.so.6(GLIBC_2.0)
Requires(post): libc.so.6(GLIBC_2.3)
Requires(post): libcap2(ppce5500) >= 2.22
Requires(post): libcap.so.2
Requires(post): libc6 >= 2.18+4.8
Requires(post): libc.so.6
Requires(post): libc.so.6(GLIBC_2.4)
Requires(postun): rtld(GNU_HASH)
Requires(postun): update-alternatives-cworth
Requires(postun): libc.so.6(GLIBC_2.1)
Requires(postun): libc.so.6(GLIBC_2.0)
Requires(postun): libc.so.6(GLIBC_2.3)
Requires(postun): libcap2(ppce5500) >= 2.22
Requires(postun): libcap.so.2
Requires(postun): libc6 >= 2.18+4.8
Requires(postun): libc.so.6
Requires(postun): libc.so.6(GLIBC_2.4)
Provides: /usr/sbin/arping

%description -n iputils-arping
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-tracepath
Summary: Network monitoring tools
Group: console/network
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.0)
Requires: libc.so.6
Requires: libc.so.6(GLIBC_2.4)
Requires: libc6 >= 2.18+4.8

%description -n iputils-tracepath
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-tracepath6
Summary: Network monitoring tools
Group: console/network
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.1)
Requires: libc.so.6(GLIBC_2.0)
Requires: libc6 >= 2.18+4.8
Requires: libc.so.6
Requires: libc.so.6(GLIBC_2.4)

%description -n iputils-tracepath6
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-traceroute6
Summary: Network monitoring tools
Group: console/network
Requires: rtld(GNU_HASH)
Requires: update-alternatives-cworth
Requires: libc.so.6(GLIBC_2.0)
Requires: libcap.so.2
Requires: libcap2(ppce5500) >= 2.22
Requires: libc6 >= 2.18+4.8
Requires: libc.so.6
Requires: libc.so.6(GLIBC_2.4)
Requires(post): rtld(GNU_HASH)
Requires(post): update-alternatives-cworth
Requires(post): libc.so.6(GLIBC_2.0)
Requires(post): libcap.so.2
Requires(post): libcap2(ppce5500) >= 2.22
Requires(post): libc6 >= 2.18+4.8
Requires(post): libc.so.6
Requires(post): libc.so.6(GLIBC_2.4)
Requires(postun): rtld(GNU_HASH)
Requires(postun): update-alternatives-cworth
Requires(postun): libc.so.6(GLIBC_2.0)
Requires(postun): libcap.so.2
Requires(postun): libcap2(ppce5500) >= 2.22
Requires(postun): libc6 >= 2.18+4.8
Requires(postun): libc.so.6
Requires(postun): libc.so.6(GLIBC_2.4)
Provides: /usr/bin/traceroute6

%description -n iputils-traceroute6
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%post -n iputils-ping
# iputils-ping - postinst
#!/bin/sh
	update-alternatives --install /bin/ping ping /bin/ping.iputils 100


%postun -n iputils-ping
# iputils-ping - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  ping /bin/ping.iputils
fi

%post -n iputils-ping6
# iputils-ping6 - postinst
#!/bin/sh
	update-alternatives --install /usr/bin/ping6 ping6 /usr/bin/ping6.iputils 100


%postun -n iputils-ping6
# iputils-ping6 - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  ping6 /usr/bin/ping6.iputils
fi

%post -n iputils-arping
# iputils-arping - postinst
#!/bin/sh
	update-alternatives --install /usr/sbin/arping arping /usr/sbin/arping.iputils 100


%postun -n iputils-arping
# iputils-arping - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  arping /usr/sbin/arping.iputils
fi

%post -n iputils-traceroute6
# iputils-traceroute6 - postinst
#!/bin/sh
	update-alternatives --install /usr/bin/traceroute6 traceroute6 /usr/bin/traceroute6.iputils 100


%postun -n iputils-traceroute6
# iputils-traceroute6 - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  traceroute6 /usr/bin/traceroute6.iputils
fi

%files
%defattr(-,-,-,-)

%files -n iputils-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/bin"
%dir "/usr/sbin"
%dir "/usr/src"
%dir "/usr/bin"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/arping.iputils"
%dir "/usr/src/debug"
%dir "/usr/src/debug/iputils"
%dir "/usr/src/debug/iputils/s20121221-r0"
%dir "/usr/src/debug/iputils/s20121221-r0/iputils-s20121221"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/ping6.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/tracepath6.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/ping6_niquery.h"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/traceroute6.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/arping.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/ping_common.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/in6_flowlabel.h"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/ping_common.h"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/SNAPSHOT.h"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/tracepath.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/ping.c"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/traceroute6.iputils"
"/usr/bin/.debug/tracepath"
"/usr/bin/.debug/ping6.iputils"
"/usr/bin/.debug/tracepath6"
%dir "/bin/.debug"
"/bin/.debug/ping.iputils"

%files -n iputils-dev
%defattr(-,-,-,-)

%files -n iputils-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
"/usr/share/man/man8/tracepath.8"
"/usr/share/man/man8/traceroute6.8"
"/usr/share/man/man8/ping.8"
"/usr/share/man/man8/arping.8"

%files -n iputils-ping
%defattr(-,-,-,-)
%dir "/bin"
"/bin/ping.iputils"

%files -n iputils-ping6
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/ping6.iputils"

%files -n iputils-arping
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
"/usr/sbin/arping.iputils"

%files -n iputils-tracepath
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/tracepath"

%files -n iputils-tracepath6
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/tracepath6"

%files -n iputils-traceroute6
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/traceroute6.iputils"

